NumberUtils (Solr 3.6.2 API)
Keywords: org.apache.solr.util.NumberUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.util
Class NumberUtils

    java.lang.Object
      org.apache.solr.util.NumberUtils

    public class NumberUtils

extends Object

Version:
  $Id: NumberUtils.java 555343 2007-07-11 17:46:25Z hossman $

Constructor Summary
`NumberUtils()`

Method Summary
`static String` | `double2sortableStr(double val)`
`static String` | `double2sortableStr(String val)`
`static String` | `float2sortableStr(float val)`
`static String` | `float2sortableStr(String val)`
`static String` | `int2sortableStr(int val)`
`static int` | `int2sortableStr(int val, char[] out, int offset)`
`static String` | `int2sortableStr(String val)`
`static String` | `long2sortableStr(long val)`
`static int` | `long2sortableStr(long val, char[] out, int offset)`
`static String` | `long2sortableStr(String val)`
`static double` | `SortableStr2double(String val)`
`static String` | `SortableStr2doubleStr(String val)`
`static float` | `SortableStr2float(String val)`
`static String` | `SortableStr2floatStr(String val)`
`static String` | `SortableStr2int(String val)`
`static int` | `SortableStr2int(String sval, int offset, int len)`
`static String` | `SortableStr2long(String val)`
`static long` | `SortableStr2long(String sval, int offset, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberUtils

    public NumberUtils()

Method Detail

### int2sortableStr

    public static String int2sortableStr(int val)

### int2sortableStr

    public static String int2sortableStr(String val)

### SortableStr2int

    public static String SortableStr2int(String val)

### long2sortableStr

    public static String long2sortableStr(long val)

### long2sortableStr

    public static String long2sortableStr(String val)

### SortableStr2long

    public static String SortableStr2long(String val)

### float2sortableStr

    public static String float2sortableStr(float val)

### float2sortableStr

    public static String float2sortableStr(String val)

### SortableStr2float

    public static float SortableStr2float(String val)

### SortableStr2floatStr

    public static String SortableStr2floatStr(String val)

### double2sortableStr

    public static String double2sortableStr(double val)

### double2sortableStr

    public static String double2sortableStr(String val)

### SortableStr2double

    public static double SortableStr2double(String val)

### SortableStr2doubleStr

    public static String SortableStr2doubleStr(String val)

### int2sortableStr

    public static int int2sortableStr(int val,
                                      char[] out,
                                      int offset)

### SortableStr2int

    public static int SortableStr2int(String sval,
                                      int offset,
                                      int len)

### long2sortableStr

    public static int long2sortableStr(long val,
                                       char[] out,
                                       int offset)

### SortableStr2long

    public static long SortableStr2long(String sval,
                                        int offset,
                                        int len)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD